Summary: Generates character and string glyphs from Adobe Type 1 fonts.
Name: t1lib
Version: 0.9.1
Release: 2
Copyright: LGPL 
Group: System Environment/Libraries
Source: ftp://ftp.neuroinformatik.ruhr-uni-bochum.de/pub/software/t1lib/t1lib-0.9.1.tar.gz
BuildRoot: /var/tmp/t1lib-root


%description
T1lib is a library which generates character and string glyphs from
Adobe Type 1 fonts.  T1lib uses most of the code from the X11 rasterizer
donated by IBM to the X11 project, but has eliminated some of the
disadvantages of the rasterizer.

%prep
%setup -q -n T1-0.9.1

%build
./configure --prefix=$RPM_BUILD_ROOT/usr
make


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/lib
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/include
mkdir -p $RPM_BUILD_ROOT/usr/share

make install

rm -rf $RPM_BUILD_ROOT/usr/lib/libt1.so 
rm -rf $RPM_BUILD_ROOT/usr/lib/libt1.so.0 
rm -rf $RPM_BUILD_ROOT/usr/lib/libt1x.so 
rm -rf $RPM_BUILD_ROOT/usr/lib/libt1x.so.0 

ln -s /usr/lib/libt1x.so.0.9.1 $RPM_BUILD_ROOT/usr/lib/libt1x.so 
ln -s /usr/lib/libt1x.so.0.9.1 $RPM_BUILD_ROOT/usr/lib/libt1x.so.0 
ln -s /usr/lib/libt1.so.0.9.1 $RPM_BUILD_ROOT/usr/lib/libt1.so 
ln -s /usr/lib/libt1.so.0.9.1 $RPM_BUILD_ROOT/usr/lib/libt1.so.0

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes LGPL LICENSE README.t1lib-0.7-beta README.t1python doc/*.tex  
/usr/bin/*
/usr/lib/*
/usr/include/*
/usr/share/*

%changelog
* Mon Aug 30 1999 Tim Powers <timp@redhat.com>
- changed group

* Tue Jul 21 1998 Michael Maher <mike@redhat.com>
- built package  
 
